> For the complete documentation index, see [llms.txt](https://api.qvalia.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.qvalia.io/api-documentation/apis/account-api/account-functions-invoice-functions.md).

# Account Functions/Invoice Functions

Operations related to Qvalia accounts functions

## Get status

> Invoice related endpoints.\n\n\*\*NB!\*\* All Invoice data under the \`/account\` endpoints require JSON and only UBL JSON data are supported.

```json
{"openapi":"3.0.2","info":{"title":"Qvalia Account API","version":"1.0.0"},"tags":[{"name":"Account Functions/Invoice Functions","description":"Operations related to Qvalia accounts functions"}],"servers":[{"url":"https://api-qa.qvalia.com"},{"url":"https://api.qvalia.com"}],"security":[{"api_key":[]},{"jwt":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"Authorization","in":"header"},"jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT-based authentication. The Authorization header must be set as:\nAuthorization: Bearer <token>\nObtain a token via POST /token/{accountRegNo}.\n"}},"parameters":{"accountRegNo":{"name":"accountRegNo","in":"path","required":true,"schema":{"type":"string"},"description":"Account registration number issued by Qvalia"},"integrationId":{"name":"integrationId","in":"path","required":true,"schema":{"type":"string"},"description":"The integration id (UUID v4) of the transaction/message to get status for"}}},"paths":{"/account/{accountRegNo}/action/invoice/outgoing/status/{integrationId}":{"post":{"tags":["Account Functions/Invoice Functions"],"summary":"Get status","description":"Invoice related endpoints.\\n\\n**NB!** All Invoice data under the `/account` endpoints require JSON and only UBL JSON data are supported.","operationId":"account-functions/invoice-functions/get-status","parameters":[{"$ref":"#/components/parameters/accountRegNo"},{"$ref":"#/components/parameters/integrationId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":""},"data":{"type":"object","description":"","properties":{"message":{"type":"string","description":""},"status":{"type":"object","description":"","properties":{"document_id":{"type":"string","description":""},"order_number":{"type":"string","description":""},"payment_reference":{"type":"string","description":""},"credit_note":{"type":"string","description":""},"reminder":{"type":"string","description":""},"status":{"type":"string","description":""},"sent_at":{"type":"string","description":""},"paid_at":{"type":"string","description":""},"cancelled_at":{"type":"string","description":""},"send_method":{"type":"string","description":""}},"required":[""]}},"required":[""]}}}}}}},"requestBody":{"description":"Request body","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{}}}}}}}}}
```

## Create from Order

> \_(Requires “Order to Cash” (O2C) or Order Management addon)\_\n\n\`/account/{accountRegNo}/action/invoice/createandsend/{integrationId}\`\n\nThis Endpoint will use an Incoming Order and generate an Outgoing Invoice from it.\n\nNB! The Addressing (EndpointID) in the Order will be used as Address for the Outgoing Invoice!\n\nYou need to “update” the Order by using the overwrite flag on it to change the Addressing, if needed!

```json
{"openapi":"3.0.2","info":{"title":"Qvalia Account API","version":"1.0.0"},"tags":[{"name":"Account Functions/Invoice Functions","description":"Operations related to Qvalia accounts functions"}],"servers":[{"url":"https://api-qa.qvalia.com"},{"url":"https://api.qvalia.com"}],"security":[{"api_key":[]},{"jwt":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"Authorization","in":"header"},"jwt":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT-based authentication. The Authorization header must be set as:\nAuthorization: Bearer <token>\nObtain a token via POST /token/{accountRegNo}.\n"}},"parameters":{"accountRegNo":{"name":"accountRegNo","in":"path","required":true,"schema":{"type":"string"},"description":"Account registration number issued by Qvalia"},"integrationId":{"name":"integrationId","in":"path","required":true,"schema":{"type":"string"},"description":"The integration id (UUID v4) of the transaction/message to get status for"}}},"paths":{"/account/{accountRegNo}/action/invoice/createandsend/{integrationId}":{"post":{"tags":["Account Functions/Invoice Functions"],"summary":"Create from Order","description":"_(Requires “Order to Cash” (O2C) or Order Management addon)_\\n\\n`/account/{accountRegNo}/action/invoice/createandsend/{integrationId}`\\n\\nThis Endpoint will use an Incoming Order and generate an Outgoing Invoice from it.\\n\\nNB! The Addressing (EndpointID) in the Order will be used as Address for the Outgoing Invoice!\\n\\nYou need to “update” the Order by using the overwrite flag on it to change the Addressing, if needed!","operationId":"account-functions/invoice-functions/create-from-order","parameters":[{"$ref":"#/components/parameters/accountRegNo"},{"$ref":"#/components/parameters/integrationId"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":""},"data":{"type":"object","description":"","properties":{"message":{"type":"string","description":""},"data":{"type":"object","description":"","properties":{"invoice":{"type":"object","description":"","properties":{"Invoice":{"type":"string","description":""}},"required":[""]}},"required":[""]}},"required":[""]}}}}}}},"requestBody":{"description":"Request body","required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"send":{"type":"object","description":"","properties":{"method":{"type":"string","description":""}},"required":[""]}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.qvalia.io/api-documentation/apis/account-api/account-functions-invoice-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
